Bug 257341 - Review Request: obexfs - FUSE based filesystem using ObexFTP
Review Request: obexfs - FUSE based filesystem using ObexFTP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 14:36 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.11-0.1.rc2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2007-08-27 14:36:32 EDT
Spec URL: http://rathann.fedorapeople.org/review/obexfs.spec
SRPM URL: http://rathann.fedorapeople.org/review/obexfs-0.11-0.1.rc2.fc7.src.rpm
Description:
The ObexFS driver is a wrapper for ObexFTP to provide filesystem access
to mobile phones.
Comment 1 Parag AN(पराग) 2007-08-28 00:00:02 EDT
FYI,
  on mock build i386 rawhide I saw
/builddir/build/BUILD/obexfs-0.11/missing: Unknown `--run' option
Try `/builddir/build/BUILD/obexfs-0.11/missing --help' for more information
configure: WARNING: `missing' script is too old or missing

This is not causing any problem for build.
Comment 2 Parag AN(पराग) 2007-08-28 00:03:41 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
e1dd69f43d734f3a3faa67a735ac68d4  obexfs-0.11-rc2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Requires: libbfb.so.0 libbluetooth.so.2 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libdl.so.2 libfuse.so.2
libfuse.so.2(FUSE_2.5) libmulticobex.so.1 libobexftp.so.0 libopenobex.so.1
libpthread.so.0 libpthread.so.0(GLIBC_2.0) librt.so.1 libusb-0.1.so.4 rtld(GNU_HASH)

+ Not a GUI app.

APPROVED.
Comment 3 Dominik 'Rathann' Mierzejewski 2007-08-28 20:11:50 EDT
New Package CVS Request
=======================
Package Name: obexfs
Short Description: FUSE based filesystem using ObexFTP
Owners: rathann
Branches: FC-6 F-7
InitialCC:
Cvsextras Commits: yes
Comment 4 Dominik 'Rathann' Mierzejewski 2007-08-28 20:12:37 EDT
Thanks for the quick review.
Comment 5 Kevin Fenzi 2007-08-28 21:28:35 EDT
cvs done.
Comment 6 Fedora Update System 2007-09-04 18:02:02 EDT
obexfs-0.11-0.1.rc2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Parag AN(पराग) 2007-09-19 02:58:22 EDT
is this built already? If yes then you can close this review request.
Comment 8 Dominik 'Rathann' Mierzejewski 2007-09-19 14:12:22 EDT
Yes, sorry.
Comment 9 Fedora Update System 2007-10-29 15:07:00 EDT
obexfs-0.11-0.1.rc2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.